"use strict"

const StoreService = require('./StoreService');

module.exports = {

    metadata: () => ({
        "name": "retail.Community",
        "properties": {
            "courseType": { "type": "string", "required": false }
        },
        "supportedActions": [
        ]
    }),

    invoke: (conversation, done) => {
        conversation.logger().info('retail.Community invoked with event type=' + conversation.properties().location);
        var communities = StoreService.communities({type: conversation.properties().location});
        for (var eventId in communities) {
            let event = communities[eventId];
            conversation.reply( JSON.stringify(event) );
        }

        conversation.transition();

        done();
    }
};
