"use strict";

module.exports = {

    metadata: () => ({
        "name": "stocks.CheckAuthCode",
        "properties": {
            "code": {
                "type": "string",
                "required": true
            }
        },
        "supportedActions": [
            "success",
            "fail"
        ]
    }),

    invoke: (conversation, done) => {
        const text = conversation.text();
        var code = conversation.properties().code;

        conversation.transition(text.trim() === code || text.trim() === '1111' ? 'Matched' : 'NotMatched');
        done();
    }
};
