"use strict";

var Mobile = require('./MobileAccountService');

module.exports = {

    metadata: () => ({
        "name": "MobileLoadData",
        "properties": {
          "dueAmountVar": { "type": "string", "required": true },
          "dueDateVar": { "type": "string", "required": true }
        },
        "supportedActions": [
        ]
    }),

    invoke: (conversation, done) => {
        conversation.logger().info('MobileLoadData: loading data..');

        conversation.variable(conversation.properties().dueAmountVar, Mobile.account().payment_due_amount);
        conversation.variable(conversation.properties().dueDateVar, Mobile.account().payment_due_date);

        conversation.transition();
        done();
    }
};
