"use strict";

var Mobile = require('./MobileAccountService');

module.exports = {

    metadata: () => ({
        "name": "MobileUpgrade",
        "properties": {
          "deviceType": { "type": "string", "required": true }
        },
        "supportedActions": [
        ]
    }),

    invoke: (conversation, done) => {
        var deviceType = conversation.properties().deviceType;
        conversation.logger().info('MobileUpgrade: selected device type ' + deviceType);

        conversation.transition();

        done();
    }
};
