"use strict";

module.exports = {

    metadata: () => ({
        "name": "MultipleResponses",
        "properties": {
            "numResponses": { "type": "integer", "required": true }
        },
        "supportedActions": [
        ]
    }),

    invoke: (conversation, done) => {
        const numResponses = conversation.properties().numResponses || 10;
        for (let i=1 ; i <= numResponses ; ++i) {
            conversation.reply('' + i);
        }
        done();
    }
};
