/**
 * 
 * Alternative way to specify custom components
 * Array of:
 *  - file names (for .js)
 *  - directory names (load all js file in directory)
 * This is simpler as component name is provided by the component file
 *
 */ 

module.exports = {
  components: [
    // FinancialBot
    './banking/balance_retrieval',
    './banking/transactions_retrieval',
    './banking/track_spending',
    './banking/payments'
  ]
};
