"use strict";

var StoreService = require('./StoreService.js');

module.exports = {

    metadata: () => ({
        "name": "retail.ApptSetup",
        "properties": {
            "variable": { "type": "string", "required": true }
        },
        "supportedActions": [
            "success",
            "fail"
        ]
    }),

    invoke: (conversation, done) => {
        var variableToSet = conversation.properties().variable;
        conversation.variable(variableToSet, StoreService.availableTimes());

        done();
    }
};
