"use strict";

const DATA_ROOT = './data/';

const FAQS = require(DATA_ROOT + 'FAQ.json');

module.exports = {
    answerFor: (question) => {
        if (FAQS.hasOwnProperty(question)) {
            return FAQS[question];
        }
        else {
            return 'Sorry, we don\'t have an answer for that question. Send us an email at support@seawheeze.com or give our GEC a call at 1.866.412.5662.';
        }
    }
}
