"use strict";

module.exports = {

    metadata: () => ({
        "name": "stocks.TradeConfirm",
        "properties": {
            "foo": { "type": "string", "required": true }
        },
        "supportedActions": [
            "success",
            "fail"
        ]
    }),

    invoke: (conversation, done) => {
	const text = conversation.text();

	conversation.transition( text.toLowerCase() === "confirm" ? 'Confirm' : 'Cancel');
	done();
    }
};
