"use strict";

var Mobile = require('./MobileAccountService');

module.exports = {

    metadata: () => ({
        "name": "MobileChargeAccount",
        "properties": {
        },
        "supportedActions": [
        ]
    }),

    invoke: (conversation, done) => {
        conversation.logger().info('MobileChargeAccount: charging $89.55');

        var amount = Number.parseInt(Mobile.account().payment_due_amount.substring(1));
        amount += 89.55;

        Mobile.account().payment_due_amount = '$' + amount;

        conversation.reply({ text: 'Your account has been charged, the total amount due is ' + Mobile.account().payment_due_amount });

        conversation.transition();

        done();
    }
};
