"use strict";

var Mobile = require('./MobileAccountService');

module.exports = {

    metadata: () => ({
        "name": "MobileBillingStatement",
        "properties": {
        },
        "supportedActions": [
        ]
    }),

    invoke: (conversation, done) => {
        conversation.logger().info('MobileBillingStatement: getting statement');

        conversation.reply({ text: 'The amount due on your account is ' + Mobile.account().payment_due_amount +
            ' payable by ' + Mobile.account().payment_due_date + '.'});

        conversation.transition();

        done();
    }
};
