"use strict";

var Mobile = require('./MobileAccountService');

module.exports = {

    metadata: () => ({
        "name": "MobileUsage",
        "properties": {
        },
        "supportedActions": [
        ]
    }),

    invoke: (conversation, done) => {
        conversation.logger().info('MobileBalances: getting balances');

        conversation.reply({ text: 'You have used ' + Mobile.account().used_minutes +
            ' of ' + Mobile.account().monthly_minutes + ' monthly minutes, and ' +
            Mobile.account().used_data_mb + ' of ' + Mobile.account().monthly_data_mb +
            ' monthly MB of data.'});

        conversation.transition();

        done();
    }
};
