"use strict";

module.exports = {

    metadata: () => ({
        "name": "VariableSetter",
        "properties": {
            "name": { "type": "string", "required": true },
            "value": { "type": "string", "required": true}
        },
        "supportedActions": [
        ]
    }),

    invoke: (conversation, done) => {
        const name = conversation.properties().name;
        const value = conversation.properties().value;

        conversation.logger().info('VariableSetter: setting ' + name + '=' + value);
        conversation.variable(name, value).transition().keepTurn(false);

        done();
    }
};
